CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestFactory Class Referenceabstract

Abstract Test factory. More...

`#include <TestFactory.h>`

Inheritance diagram for TestFactory:

## Public Member Functions

virtual | ~TestFactory ()
virtual Test * | makeTest ()=0

## Detailed Description

Abstract Test factory.

## Constructor & Destructor Documentation

virtual TestFactory::~TestFactory | ( |  | ) |

inline virtual

## Member Function Documentation

virtual Test* TestFactory::makeTest | ( |  | ) |

pure virtual

Makes a new test.

Returns
  A new Test.

Implemented in TestFactoryRegistry, and TestSuiteFactory< TestCaseType >.

The documentation for this class was generated from the following file:

- TestFactory.h

| Send comments to: CppUnit Developers